angular.module('starter.services', [])
.service('NSD', function() {

  this.findClient = function(callback) {
    ZeroConf.watch("_bodyswapclient._udp.local.", callback);
  }

  this.unregister = function() {
    ZeroConf.unregister();
  }

  this.register = function(name, type, description) {
    ZeroConf.register("_bodyswap" + type + "._udp.local.", name, 8486, description);  
  }

  this.listHosts = function(callback) {
    ZeroConf.list('_bodyswaphost._udp.local.', 4000, callback, function(e) { console.log(e) });
  };
})
.service('UUID', function() {
  this.generate = function() {
    return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
      var r = Math.random()*16|0, v = c === 'x' ? r : (r&0x3|0x8);
      return v.toString(16);
    }); 
  }
})

;
