
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services'])

.run(function ($ionicPlatform) {

  $ionicPlatform.ready(function() {
    var mobileOnly = function() { console.log("Sorry, but this is only available in cordova."); return true;};

    if (typeof ZeroConf === "undefined") {
      ZeroConf = {};

      ZeroConf.list = function(type, port, callback) {callback({service:[]});};
      ZeroConf.register = mobileOnly;
    }
    
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }
  });
})
